<?php
/**
 * M-Pesa Payment Module - Setup Page
 * Author: NESTICT INFOTECH
 * Version: 1.0.0
 */

require '../../main.inc.php';
require_once DOL_DOCUMENT_ROOT . "/core/lib/admin.lib.php";

$langs->load("admin");
$langs->load("mpesapay");

if (!$user->admin) accessforbidden();

$action = GETPOST('action', 'alpha');

if ($action == 'save') {
    $paybill = GETPOST('MPESAPAY_PAYBILL', 'alpha');
    $passkey = GETPOST('MPESAPAY_PASSKEY', 'alpha');

    dolibarr_set_const($db, "MPESAPAY_PAYBILL", $paybill, 'chaine', 0, '', 1);
    dolibarr_set_const($db, "MPESAPAY_PASSKEY", $passkey, 'chaine', 0, '', 1);

    setEventMessages("Settings saved", null, 'mesgs');
}

print load_fiche_titre("M-Pesa Payment Module Configuration");
print '<form method="POST">';
print '<input type="hidden" name="action" value="save">';

print '<table class="noborder" width="100%">';
print '<tr class="liste_titre"><th>Setting</th><th>Value</th></tr>';
print '<tr><td>M-Pesa Paybill Number</td>';
print '<td><input type="text" name="MPESAPAY_PAYBILL" value="' . dolibarr_get_const($db, "MPESAPAY_PAYBILL") . '"></td></tr>';
print '<tr><td>M-Pesa Passkey</td>';
print '<td><input type="text" name="MPESAPAY_PASSKEY" value="' . dolibarr_get_const($db, "MPESAPAY_PASSKEY") . '"></td></tr>';
print '</table>';

print '<div class="center">';
print '<button type="submit" class="button">Save</button>';
print '</div>';
print '</form>';

llxFooter();
$db->close();
?>
